<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/


define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');

// Задаем настройки системы
$req = mysql_query("SELECT * FROM `chat_settings`");
$chat_settings = array();
while ($res = mysql_fetch_row($req)) $chat_settings[$res[0]] = $res[1];
mysql_free_result($req);

/*
-----------------------------------------------------------------
Ограничиваем доступ к Чату
-----------------------------------------------------------------
*/ 

$error = '';
if (!$set['mod_chat'] && $rights < 7)
  $error = 'Чат закрыт!';
elseif ($set['mod_chat'] == 1 && !$user_id)
  $error = 'Доступ в Чат открыт только <a href="../login.php">авторизованным</a> посетителям';
if ($error) {
  require('../incfiles/head.php');
  echo display_error($error);
  require('../incfiles/end.php');
 exit;
}

$id_k = isset($_REQUEST['id_k']) ? abs(intval($_REQUEST['id_k'])) : false;

/*
-----------------------------------------------------------------
Настройки чата
-----------------------------------------------------------------
*/
$set_chat = array();
$set_chat = unserialize($datauser['set_chat']);
// Настроки по-умолчанию
if (!isset($set_chat) || empty($set_chat))
  $set_chat = array (
    'refresh' => 20,
    'chmes' => 10,
    'carea' => 0,
    'avatar' => 1,
    'cvet' => '',
    'cvet_n' => '',
    'cvet_ns' => '',
    'carea_w' => 20,
    'carea_h' => 2
  );
$headmod = !empty ($id) ? 'chat,' . $id : 'chat';

/*
-----------------------------------------------------------------
Панель ВВ тегов
-----------------------------------------------------------------
*/
function panel_bb($form, $field) {
  global $set;
  return '<script language="JavaScript" type="text/javascript">
function tag(text1, text2) {
if ((document.selection)) {
document.' . $form . '.' . $field . '.focus();
document.' . $form . '.document.selection.createRange().text = text1+document.' . $form . '.document.selection.createRange().text+text2;
} else if(document.forms[\'' . $form . '\'].elements[\'' . $field . '\'].selectionStart!=undefined) {
var element = document.forms[\'' . $form . '\'].elements[\'' . $field . '\'];
var str = element.value;
var start = element.selectionStart;
var length = element.selectionEnd - element.selectionStart;
element.value = str.substr(0, start) + text1 + str.substr(start, length) + text2 + str.substr(start + length);
} else document.' . $form . '.' . $field . '.value += text1+text2;}</script>
<a href="javascript:tag(\'[b]\', \'[/b]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/b.png" alt="b" title="Жирный"/></a>
<a href="javascript:tag(\'[i]\', \'[/i]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/i.png" alt="i" title="Наклонный"/></a>
<a href="javascript:tag(\'[u]\', \'[/u]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/u.png" alt="u" title="Подчёркнутый"/></a>
<a href="javascript:tag(\'[s]\', \'[/s]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/s.png" alt="s" title="Перечёркнутый"/></a>
<a href="javascript:tag(\'[c]\', \'[/c]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/q.png" alt="quote" title="Цитата"/></a>
<a href="javascript:tag(\'[php]\', \'[/php]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/cod.png" alt="cod" title="Код"/></a>
<a href="javascript:tag(\'[url=]\', \'[/url]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/l.png" alt="url" title="Ссылка" /></a>
<a href="javascript:tag(\'[red]\', \'[/red]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/re.png" alt="red" title="Красный"/></a>
<a href="javascript:tag(\'[green]\', \'[/green]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/gr.png" alt="green" title="Зелёный"/></a>
<a href="javascript:tag(\'[blue]\', \'[/blue]\')"><img src="' . $set['homeurl'] . '/chat/img/bb/bl.png" alt="blue" title="Синий"/></a><br />';
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array_file = array (
  'password',
  'faq',
  'messages',
  'delete',
  'close',
  'dell',
  'filter',
  'massdel',
  'who',
  'moders',
  'post',
  'my_set',
  'top'
);
if ($act && ($key_file = array_search($act, $array_file)) !== false && file_exists('includes/' . $array_file[$key_file] . '.php')) {   
  $zag = array(
    'faq' => 'Правила',
    'messages' => 'Написать',
    'delete' => 'Удаление поста', 
    'dell' => 'Очистка комнаты',
    'filter' => 'Фильтр сообщений',
    'massdel' => 'Массовое удаление',
    'who' => 'Статистика чата', 
    'moders' => 'Модераторы чата',
    'post' => 'Отдельный пост',
    'my_set' => 'Настройки чата',
    'top' => 'Топ активности сайта'
  );
  if ($zag[$act]) 
    $textl = $zag[$act];
  $stat = array(
    'faq' => 'chatfaq',
    'who' => 'chatwho',
    'moders' => 'chatmoders',
    'my_set' => 'chatset',
    'top' => 'chattop'
  );
  if ($stat[$act] && !$id)
    $headmod = $stat[$act]; 
  require('../incfiles/head.php');
  require('includes/' . $array_file[$key_file] . '.php');
  require('../incfiles/end.php');
} else {
  
  /*
  -----------------------------------------------------------------
  Определяем тип запроса (комната, или прихожая)
  -----------------------------------------------------------------
  */
  if ($id) {
    // Отображаем комнату Чата
    $komnata = mysql_query("SELECT `name`, `tip`, `bot`, `nev` FROM `chat_rooms` WHERE `id` = '" . $id . "' LIMIT 1");
    $k_d = mysql_fetch_assoc($komnata);
    // Переадресация при несущ. комнаты
    if (!mysql_num_rows($komnata)) { 
      header("location: index.php");
     exit;
    }
    $textl = $k_d['name'];

    /*
    -----------------------------------------------------------------
    Очищаем комнату от старых сообщений (если опция включена)
    -----------------------------------------------------------------
    */
    if ($chat_settings['time'] < $realtime - $chat_settings['auto_delete'] && $chat_settings['auto_delete']) {
      $room = mysql_query("SELECT * FROM `chat_rooms`");
      while ($room_d = mysql_fetch_assoc($room)) {
        if ($chat_settings['leave_post'])
          $count_posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_" . $room_d['id'] . "`"), 0);
        mysql_query("DELETE FROM `chat_room_" . $room_d['id'] . "` WHERE `time` < '" . ($realtime - $chat_settings['auto_delete']) . "'" . ($chat_settings['leave_post'] ? "ORDER BY `time` ASC LIMIT " . ($count_posts - $chat_settings['leave_post']) : "") . "");
        mysql_query("OPTIMIZE TABLE `chat_room_" . $room_d['id'] . "`");
      }
      mysql_query("UPDATE `chat_settings` SET  `val` = '" . $realtime . "' WHERE `key` = 'time' LIMIT 1");
    }
    
    /*
    -----------------------------------------------------------------
    Подключаем файл с ботами если это необходимо
    -----------------------------------------------------------------
    */ 
    if ($k_d['bot'] && $user_id && $k_d['tip'] != 'in' && $k_d['tip'] != 'an')
      require('incfiles/bot.php');

    /*
    -----------------------------------------------------------------
    Определяем тип комнаты (интим, инкогнито, беспредел, простая)
    -----------------------------------------------------------------
    */
    switch ($k_d['tip']) {
      case 'in':
        if (!$user_id) {
          header("Location: index.php");
         exit;
        }
        // Интим
        if (empty ($_SESSION['key'])) {
          require('../incfiles/head.php');
          echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> &gt;&gt; ' . $k_d['name'] . '</div>';
          echo '<div class="gmenu">';
          echo '<center><img src="img/stop.gif" alt="" />&#160;</center>';
          echo '<form action="index.php?act=password&amp;id=' . $id . '" method="post"><b>Пароль</b> <span class="gray"><small>(max. 10)</small></span>:<br /><input type="text" name="parol" size="10" maxlength="10"/><p><input type="submit" name="submit" value="Продолжить"/></p></form></div>';
          echo '<div class="phdr"><a href="index.php"><b>Назад</b></a></div>';
          require('../incfiles/end.php');
         exit;
        }
     break;

      case 'an':
        // Инкогнито
        if (empty ($_SESSION['key']) && $chat_settings['faq']) {
          require('../incfiles/head.php');
          echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> &gt;&gt; ' . $k_d['name'] . '</div>';
          echo '<div class="menu">';
          echo '<center><img src="img/an.gif" alt="" />&#160;</center>';
          echo 'Общение в этой комнате является анонимным, но здесь также действуют <a href="index.php?act=faq&amp;mod=rules&amp;id=' . $id . '"><b>правила чата</b></a>!<br />';
          echo '<p><a href ="index.php?act=password&amp;mod=rand&amp;id=' . $id . '"><b>Продолжить</b></a></p></div>';
          echo '<div class="phdr"><a href="index.php"><b>Назад</b></a></div>';
          require('../incfiles/end.php');
         exit;
        } elseif (empty($_SESSION['key'])) {
          header("Location: $home/chat/index.php?act=password&mod=rand&id=$id");
         exit;
        }
       break;
       
      case 'sr':
        // Беспредел
        if (empty ($_SESSION['key']) && $chat_settings['faq']) {
          require('../incfiles/head.php');
          echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> &gt;&gt; ' . $k_d['name'] . '</div>';
          echo '<div class="menu">';
          echo '<center><img src="img/sr.gif" alt="" />&#160;</center>';
          echo '<span class="red"><b>Внимание!</b></span><br />На эту комнату не распространяется действие <b>бан</b>ов, поэтому здесь творится полный беспредел!<br />';
          echo '<p><a href ="index.php?act=password&amp;mod=rand&amp;id=' . $id . '"><b>Продолжить</b></a></p></div>';
          echo '<div class="phdr"><a href="index.php"><b>Назад</b></a></div>';
          require('../incfiles/end.php');
         exit;
        }
       break;

      default:
        echo '';
    }

    /*
    -----------------------------------------------------------------
    Оповещаем о новом посетителе в комнате (если опция включена)
    -----------------------------------------------------------------
    */
    if ($k_d['nev'] && $user_id) {   
      if ($_SESSION['nev'] != $id) {
        $_SESSION['nev'] = $id;
        $pas = $k_d['tip'] == 'in' || $k_d['tip'] == 'an' ? intval($_SESSION['key']) : 0;
        $login_u = $k_d['tip'] == 'an' ? 'Аноним [i](№: ' . $pas . ')[/i]' : $login;
        $new_text = explode("|", $k_d['nev']);
        $new_text = $datauser['sex'] == 'm' || count($new_text) == 1 ? $new_text[0] : $new_text[1]; 
        $new_text = strtr($new_text, array(
          '[login]' => $login_u,
          ':login:' => $login_u
        ));
        $mass_bot_post = serialize(array (
          'av' => '',
          'sex' => 'm',
          'status' => '',
          'name' => 'Информер',
          'name_delete' => '',
          'cvet' => '',
          'cvet_n' => '',
          'ip' => '127.0.0.1',
          'soft' => 'k_2_bot'
        ));
        // Заносим данные в б.д.
        mysql_query("INSERT INTO `chat_room_" . $id . "` SET
          `id_bot` = '1',
          `time` = '" . $realtime . "',
          `text` = '" . $new_text . "',
          `author` = '" . mysql_real_escape_string($mass_bot_post) . "',
          `tip` = '2',
          `pas` = '" . $pas . "'
        ");
      }
    }
    
    /*
    -----------------------------------------------------------------
    Отображаем комнату
    -----------------------------------------------------------------
    */
    $refr = rand(0, 999);
    require('incfiles/head.php');
    if ($set_chat['carea'] && $user_id) {
      echo '<div class="phdr"><a href="index.php?id=' . $id . '&amp;refr=' . $refr . '"><b>Обновить</b></a></div>';
      echo '<div class="gmenu">';
      // Поле "Написать"
      echo '<form name="form2" action="index.php?act=messages&amp;id=' . $id . '" method="post">';
      if ($set_chat['panel_bb'])
        echo panel_bb('form2', 'msg');
      echo '<textarea cols="' . $set_chat['carea_w'] . '" rows="' . $set_chat['carea_h'] . '" name="msg"></textarea><br />';
      if ($set_user['translit'])
        echo '<input type="checkbox" name="msgtrans" value="1"/> Транслит<br />';
      if ($rights == 9 && $k_d['tip'] != 'in')
        echo '<input type="checkbox" name="msgrooms" value="1"/> <span style="color:blue">Оповещение</span><br />';
      echo '<input type="submit" name="submit" value="Сказать"/><br /></form>';
      echo '</div>';
    } elseif ($user_id) {
      echo '<div class="phdr"><a href="index.php?act=messages&amp;id=' . $id . '"><b>Сказать</b></a> | ';
      echo '<a href="index.php?id=' . $id . '&amp;refr=' . $refr . '"><b>Обновить</b></a></div>';
    } else {
      echo '<div class="phdr"><a href="index.php?id=' . $id . '&amp;refr=' . $refr . '"><b>Обновить</b></a></div>';
    }
    $sql = $rights > 6 ? "" : " `tip` != '1'";
    $sql .= ($k_d['tip'] != 'in') ? "" : " " . ($sql ? 'AND ' : '') . "`pas` = '" . intval($_SESSION['key']) . "'";
    if ($k_d['tip'] != 'an')
      $filter = isset ($_SESSION['chat_id']) && $_SESSION['chat_k'] == $id ? 1 : 0;
    else
      $filter = '';
    if ($filter) {
      // Подготавливаем запрос на фильтрацию юзеров
      $sw = 0;
      $sql .= ' ' . ($sql ? "AND " : "") . '(';
      $fsort_users = unserialize($_SESSION['chat_id']);
      foreach ($fsort_users as $val) {
        if ($sw)
          $sql .= ' OR ';
        $sortid = intval($val);
        $sql .= "`id_u` = '$sortid'";
        $sw = 1;
      }
      $sql .= ')';
      echo '<div class="rmenu">В комнате включена фильтрация по авторам постов</div>';
    }
    if ($rights != 9 && $user_id)
      $sql .= " " . ($sql ? 'AND ' : '') . "(`id_s` = '0' OR `id_u` = '" . $user_id . "' OR `id_s` = '" . $user_id . "')";
    elseif (!$user_id)
      $sql .= " " . ($sql ? 'AND ' : '') . "`id_s` = '0'";
    // Счётчик постов в комнате
    $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_" . $id . "`" . ($sql ? ' WHERE' : '') . $sql . ""), 0);
    if ($total) {
      // Запрос в базу для вывода постов
      $soob = mysql_query("SELECT `id`, `id_u`, `id_s`, `time`, `text`, `author`, `tip`, `pas` FROM `chat_room_" . $id . "`" . ($sql ? ' WHERE' : '') . $sql . " ORDER BY `time` DESC LIMIT $start, $kmess");
      $i = 0;
      echo '<form action="index.php?act=massdel&amp;id=' . $id . '" method="post">';
      while ($message = mysql_fetch_assoc($soob)) {        
        // Метка о том, что пост удалён
        if ($rights >= 7 && $message['tip'] == 1)
          echo '<div class="rmenu">';
        else
          echo is_integer($i / 2) ? '<div class="list1">' : '<div class="list2">';
        $vrp = $message['time'] + $set_user['sdvig'] * 3600;
        if (date("d.m.Y", $vrp) == date("d.m.Y"))
          $vr = date("H:i", $vrp); // Время "сегодняшнего" поста
        else
          $vr = date("d.m.Y/H:i", $vrp); // Время "старых" постов
        $text = $message['text'];
        $text = checkout($text, 1, 1);
        // Подсветка ника в тексте                  
        if ($set_chat['cvet_ns'])
          $text = preg_replace('|' . $login . '|si', '<span style="color:' . $set_chat['cvet_ns'] . '">' . $login . '</span>', $text); 
        
        /*
        -----------------------------------------------------------------
        Выбор отображения данных автора поста (пользователь, аноним или бот)
        -----------------------------------------------------------------
        */ 
        $set_author = array();
        $set_author = unserialize($message['author']);
        // Настроки по-умолчанию
        if (!isset($set_author) || empty($set_author))
        $set_author = serialize(array (
          'av' => '',
          'sex' => 'm',
          'status' => '',
          'name' => 'Информер',
          'name_delete' => '',
          'cvet' => '',
          'cvet_n' => '',
          'ip' => '127.0.0.1',
          'soft' => 'k_2_bot'
        ));
        
        if ($message['tip'] < 2) {
          if ($message['id_u'] != $user_id)
            $us_d = mysql_fetch_assoc(mysql_query("SELECT `datereg`, `lastdate`, `rights` FROM `users` WHERE `id` = '" . $message['id_u'] . "'"));
          else
            $us_d = $datauser;
          $rights_p = $us_d['rights'];
          if ($set_user['smileys'])
            $text = smileys($text, ($us_d['rights'] >= 1) ? 1 : 0);
            $sex = '../theme/' . $set_user['skin'] . '/images/' . ($set_author['sex'] == 'm' ? 'm' : 'w') . ($us_d['datereg'] > $realtime - 86400 ? '_new' : '') . '.png';
          if ($user_id && $user_id != $message['id_u'])
            $nik =  '<a href="../str/anketa.php?id=' . $message['id_u'] . '">' . ($set_author['cvet_n']  ? '<span style="color: ' . $set_author['cvet_n'].'">' : '') . '<b>' . $set_author['name'] . '</b>' . ($set_author['cvet_n'] ? '</span>' : '') . '</a> ';
          else
            $nik =  ($set_author['cvet_n']  ? '<span style="color: ' . $set_author['cvet_n'] . '">' : '') . '<b>' . $set_author['name'] . '</b>' . ($set_author['cvet_n'] ? '</span>' : '');
          if ($k_d['tip'] == 'an')
            $nik .= ' <b><small>(№: <span class="green">' . $message['pas'] . '</span>)</small></b>';
          $user_rights = array(2 => ' (CMod)', 6 => ' (Smd)', 7 => ' (Adm)', 9 => ' (SV!)');
          $nik .= $user_rights[$us_d['rights']];
          $onl = $us_d['lastdate'];
          if ($k_d['tip'] != 'an' && $user_id && $user_id != $message['id_u'])
            $otv_cit = '<a href="index.php?act=messages&amp;mod=txt&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">[о]</a>&#160;<a href="index.php?act=messages&amp;mod=citata&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">[ц]</a> ';
          else
            $otv_cit = '';
          if (!empty ($set_author['status']))
            $stat = '<div class="status"><img src="../theme/' . $set_user['skin'] . '/images/label.png" alt="" align="middle"/>&#160;' . $set_author['status'] . '</div>';
          else
            $stat = ''; 
          if ($set_author['cvet'] && $k_d['tip'] != 'an')
            $text = '<span style="color: ' . $set_author['cvet'] . '">' . $text . '</span>';
          $avatar = '../files/avatar/' . $message['id_u'] . '.png';
          if ($k_d['tip'] == 'an' && $rights != 2 && $rights < 6) {
            // Пост Анонима
            $avatar = '../images/empty.png';             
            //  Отображение номера Анонима
            if (intval($_SESSION['key']) == $message['pas'])
              $nik = '<b>Аноним №: <span class="red">' . $message['pas'] . '</span></b>';
            else
              $nik = '<b>Аноним №: ' . $message['pas'] . '</b>';
            $otv_cit = '';
            $stat = '';
          }
        } else {
          // Пост Бота
          $rights_p = 0;
          if ($set_user['smileys'])
            $text = smileys($text, 0);
          $avatar = 'img/' . $set_author['av'] . '.png';
          $sex = '../theme/' . $set_user['skin'] . '/images/' . ($set_author['sex'] == 'zh' ? 'w' : 'm') .  '.png'; 
          if ($message['id_u'] && $user_id)
            $nik =  '<a href="anketa.php?id=' . $message['id_u'] . '"><b>' . $set_author['name'] . '</b></a> ';
          else
            $nik =  '<b>' . $set_author['name'] . '</b> ';
          $onl = $realtime;         
          if ($k_d['tip'] != 'an' && $message['id_u'] && $user_id)
            $otv_cit = '<a href="index.php?act=messages&amp;mod=txt&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">[o]</a>&#160;<a href="index.php?act=messages&amp;mod=citata&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">[ц]</a> ';
          else
            $otv_cit = '';
          if (!empty ($set_author['status']))
            $stat = '<div class="status"><img src="../theme/' . $set_user['skin'] . '/images/label.png" alt="" align="middle"/>&#160;' . $set_author['status'] . '</div>';
          else
            $stat = '';
        }
        
        /*
        -----------------------------------------------------------------
        Вывод данных автора поста
        -----------------------------------------------------------------
        */
        // Аватар
        if ($set_user['avatar'] && $set_chat['avatar']) {
          echo '<table cellpadding="0" cellspacing="0"><tr><td>';
          if (file_exists($avatar))
            echo '<img src="' . $avatar . '" width="32" height="32" alt="" />&#160;';
          else
            echo '<img src="../images/empty.png" width="32" height="32" alt="" />&#160;';
          echo '</td><td>';
        }
        // Метка пола
        echo '<img src="' . $sex . '" width="16" height="16" align="middle" />&#160;';
        // Ник и должность
        echo $nik;
        // Метка Онлайн / Офлайн
        echo ($realtime > $onl + 300 ? '<span class="red"> [Off]</span> ' : '<span class="green"> [ON]</span> ');
        echo $otv_cit;
        echo '<span class="gray">(' . $vr . ')</span><br />';
        echo $stat;
        // Метка о приватности сообщения
        if ($message['id_s'] && $user_id) {
          if ($user_id == $message['id_s'])
            echo '<small><span class="red">[П!]</span></small><br />'; 
          elseif ($user_id == $message['id_u'])
            echo '<small><span class="green">[П!]</span></small><br />';
          elseif ($rights == 9) {
            $dn = mysql_fetch_assoc(mysql_query("SELECT `name` FROM `users` WHERE `id` = '" . $message['id_s'] . "' LIMIT 1"));
            echo '<small><span class="red">[П!] =&gt;&gt; <a href="../users/profile.php?user=' . $message['id_s'] . '">' . $dn['name'] . '</a></span></small><br />'; 
          }
        }
        // Аватар
        if ($set_user['avatar'] && $set_chat['avatar'])
          echo '</td></tr></table>';
        
        /*
        -----------------------------------------------------------------
        Вывод текста поста
        -----------------------------------------------------------------
        */
        echo $text . '<br />';
        // Ссылки скрыть/восстановить, удалить сообщение:
        if (($rights == 2 || $rights >= 6) && $rights > $rights_p || $rights == 9) {
          echo '<div class="sub">';
          if ($message['tip'] < 2)
            echo '<input type="checkbox" name="delch[]" value="' . $message['id'] . '"/>&#160;';
          if ($rights == 9) {
            echo '<a href="index.php?act=delete&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">Удалить</a>';
            if ($message['tip'] == 1 && !$message['id_s'])
              echo ' | <a href="index.php?act=close&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">Восстановить</a>';
            elseif (!$message['tip'] && !$message['id_s'])
              echo ' | <a href="index.php?act=close&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '&amp;mod=closed">Скрыть</a>';
          }
          if ($rights == 2 && !$message['tip'] || $rights == 6)
            echo '<a href="index.php?act=close&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '&amp;mod=closed">Удалить</a>';
          if ($rights == 7 && !$message['id_s']){
            if ($message['tip'] == 1) 
              echo '<a href="index.php?act=close&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '">Восстановить</a>';
            elseif (!$message['tip']) 
              echo '<a href="index.php?act=close&amp;id=' . $message['id'] . '&amp;id_k=' . $id . '&amp;mod=closed">Удалить</a>';
          }
          // Метка о том, что пост удалён
          if ($message['tip'] == 1 && $rights > 6 && $set_author['name_delete'])
            echo '<br /><span class="red">Пост удалил: <b>' . $set_author['name_delete'] . '</b></span>';
          elseif ($set_author['name_delete'] && $rights > 6)
            echo '<br /><span class="green">Пост восстановил: <b>' . $set_author['name_delete'] . '</b></span>';
          echo '<br /><span class="gray">' . $set_author['ip'] . ' - ' . $set_author['soft'] . '</span>';
          echo '</div>';
        }
        echo '</div>';
       ++$i;
      }
      if ($rights == 2 || $rights >= 6)
        echo '<div class="rmenu"><input type="submit" value="Удалить"/></div>';
      echo '</form>';
    } else {
      echo '<div class="menu">В Комнате сообщений нет<br /><b>Будь первым! :)</b></div>';
    }
    echo '<div class="phdr"><a href="index.php?act=messages&amp;id=' . $id . '"><b>Сказать</b></a> | ';
    echo '<a href="index.php?id=' . $id . '&amp;refr=' . $refr . '"><b>Обновить</b></a></div>';
    // Постраничная навигация
    if ($total > $kmess) {
      echo '<p>' . pagenav('?id=' . $id . '&amp;', $start, $total, $kmess) . '</p>';
      echo '<p><form action="index.php?id=' . $id . '" method="post">';
      echo '<input type="text" name="page" size="2"/>';
      echo '<input type="submit" value="К странице &gt;&gt;"/></form></p>';
    }
    echo '<p>';
    if ($k_d['tip'] == 'in')
      echo '<a href="index.php?act=password&amp;mod=new&amp;id=' . $id . '"><b>Сменить пароль</b></a>';
    elseif ($k_d['tip'] == 'an')
      echo '<a href="index.php?act=password&amp;mod=rand&amp;id=' . $id . '"><b>Сменить номер</b></a>';
    else {
      if ($filter)
        echo '<a href="index.php?act=filter&amp;id=' . $id . '&amp;do=unset"><b>Выкл. фильтр</b></a>';
      else
        echo '<a href="index.php?act=filter&amp;id=' . $id . '"><b>Вкл. фильтр</b></a>';
    }
    echo '</p>';
    
    
    // Ссылка на очистку комнаты (только Супервизор)
    if ($rights == 9)
      echo '<p><div class="func"><a href="index.php?act=dell&amp;id=' . $id . '"><b>Очистка</b></a></div></p>';
    require('incfiles/end.php'); 
  } else { 
    
    /*
    -----------------------------------------------------------------
    Отображаем прихожую Чата
    -----------------------------------------------------------------
    */ 
    $textl = 'Прихожая';
    require('../incfiles/head.php');
    // Выводим сообщение Админу при закрытом чате
    if (!$set['mod_chat'])
      echo '<div class="alarm">Чат закрыт!</div>';
    echo '<div class="phdr"><b>Чат</b></div>';
    $_SESSION['key'] = '';
    $_SESSION['nev'] = '';
    $sql = ($user_id) ? "" : " WHERE `tip` != 'in'";
    $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_rooms`" . $sql . ""), 0);
    $req = mysql_query("SELECT `id`, `name`, `op` FROM `chat_rooms`" . $sql . " LIMIT $start, $kmess");
    // Вывод списка комнат
    while ($mass = mysql_fetch_assoc($req)) {
      echo is_integer($i / 2) ? '<div class="list1">' : '<div class="list2">';
      echo '<a href="index.php?id=' . $mass['id'] . '">' . $mass['name'] . '</a> <small>(' . ( wch($mass['id']) ? '<a href="index.php?act=who&amp;id=' . $mass['id'] . '">' . wch($mass['id']) . '</a>' : '<span class="gray">' . wch($mass['id']) . '</span>') . ')</small>';
      // Вывод описания комнаты
      if (!empty($mass['op']))
        echo '<div class="sub"><span class="gray">' . checkout($mass['op'], 1, 0) . '</span></div>';
      echo '</div>';
     ++$i;
    }
    echo '<div class="phdr"><a href="index.php?act=who"><b>Кто в чате?</b></a> <b>(' . wch() . ')</b></div>';
    // Навигация внизу страницы
    if ($total > $kmess) {
      echo '<p>' . pagenav('index.php?', $start, $total, $kmess) . '</p>';
      echo '<p><form action="index.php" method="post">';
      echo '<input type="text" name="page" size="2"/>';
      echo '<input type="submit" value="К странице &gt;&gt;"/></form></p>';
    }
    // Ссылка на админку чата
    if ($rights == 9)
      echo '<p><div class="func"><a href="menu.php">Админ панель</a></div></p>';
    if ($user_id)
      echo '<p><a href="index.php?act=my_set">Настройки</a><br />';
    else
      echo '<p>';
    echo '<a href="index.php?act=moders">Модераторы</a><br />';
    if ($user_id)
      echo '<a href="index.php?act=top">Топ 10</a> | ';
    echo '<a href="index.php?act=faq">FAQ</a></p>';
    require('../incfiles/end.php');    
  }
}

?>